Skip to main content
GET
/
groups
List Groups
curl --request GET \
  --url https://api.pinata.cloud/groups \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "61a4a882-1591-462e-bcb7-fa0eee5f3c51",
    "name": "NFT-Project-updated",
    "user_id": "ec50a085-a746-428d-b01d-167ac379fbd4",
    "createdAt": "2024-07-03T18:09:33.610Z",
    "updatedAt": "2024-07-03T18:15:17.440Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.pinata.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

nameContains
string

Filter by name of the group

offset
integer

Paginate through next series of groups

limit
integer

Limit the number of results

Response

200 - application/json

OK

id
string

ID of the created Group

user_id
string

ID of the user who created the Group

name
string

Name of the Group

updatedAt
string

ISO 8601 format date of the last time Group was updated

createdAt
string

ISO 8601 format date of Group creation